package com.yuchen.saas.manage.system.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.nest.springwrap.core.tool.api.IResultCode;

@Getter
@AllArgsConstructor
public enum NestDeptErrorEnum implements IResultCode {


    //失败
    DATA_DUPLICATION(10000, "组织统一信用代码 在%s平台已认证。若需加入组织，请直接申请加入。"),

    DATA_CERTIFIED(10001, "组织统一信用代码 在钰辰智慧平台已认证。若需加入组织，请联系组织主管理员。"),

    DATA_UPDATE(10002, "你已在钰辰智慧平台:%s平台，提交组织认证申请，请勿重复提交。如需更新信息，确认之后，将以当前提交信息为准。"),

    DATA_FAILURE(10004, "组织统一信用代码 在钰辰智慧平台已提交审核。请耐心等待审核结果。如需更新信息，请通知组织主管理员处理。"),

    //错误10005编码小程序弹窗显示message+路由(去认证)
    DATA_POPOVER_ROUTING(10005, "未认证无法无法进行操作!"),
    ;

    private final int code;
    private final String message;

}
